<div class="container">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              Customers
            </h3>
        </div>
        <div class="panel-body">
            <div ng-if="customerCtrl.isLoading">
                <i class="fa fa-spinner fa-pulse"></i>
            </div>
            <div ng-if="!customerCtrl.isLoading">
                <div class="col-xs-12 mt10" ng-if="customerCtrl.errorMsg">
                    <div uib-alert ng-class="'alert-danger'" class="margin5">{{customerCtrl.errorMsg}}</div>
                </div>
                <div ng-if="!customerCtrl.errorMsg">
                    <div ng-if="customerCtrl.customers.length"  class="custom-table">
                        <div class="row table-header">
                            <div class="col-sm-3">Name</div>
                            <div class="col-sm-6">Address</div>
                            <div class="col-sm-3">Phone</div>
                        </div>
                        <div ng-repeat="customer in customerCtrl.customers" class="row custom-table-row">
                            <div class="col-sm-3">{{customer.name}}</div>
                            <div class="col-sm-6">{{customer.address}}</div>
                            <div class="col-sm-3">{{customer.phone}}</div>
                        </div>
                    </div>
                    <div ng-if="!customerCtrl.customers.length">
                        No customer found
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>